using System.Collections;
using System.Collections.Generic;
using NaughtyAttributes;
using NaughtyAttributes.Test;
using UnityEngine;

[CreateAssetMenu(fileName = "BootstrapConfig.asset", menuName = "KernelPanic/Boot/Config")]
public class BootstrapConfig : ScriptableObject
{
    [Header("Scenes")]
    [SerializeField] [Scene]
    private string BootflowScene;
    
    [SerializeField] [Scene]
    private string MainMenuScene;
    
    [SerializeField] [Scene]
    private string CreditsScene;
    
    [SerializeField] [Scene]
    private string GameplayScene;

    [SerializeField]
    public LevelDescriptor StartLevel;

    [Header( "Transition" )]
    public float TransitionDuration;

    public string GetScene( SceneType sceneType )
    {
        switch ( sceneType )
        {
            case SceneType.BootSequence:
                return BootflowScene;
            
            case SceneType.MainMenu:
                return MainMenuScene;
            
            case SceneType.Gameplay:
                return GameplayScene;
            
            case SceneType.Credits:
                return CreditsScene;
            
            default:
                return null;
        }
    }
}
